| usbps Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsbPs_EpIn Struct Reference

The following data structure represents IN endpoint. More...

## Data Fields
XUsbPs_dQH * | dQH
| Pointer to the Queue Head structure of the endpoint. More...
XUsbPs_dTD * | dTDs
| List of pointers to the Transfer Descriptors of the endpoint. More...
XUsbPs_dTD * | dTDHead
| Buffer to the next available descriptor in the list. More...
XUsbPs_dTD * | dTDTail
| Buffer to the last unsent descriptor in the list. More...
XUsbPs_EpIsoHandlerFunc | HandlerIsoFunc
| Handler function for this endpoint. More...
void * | HandlerRef
| User data reference for the handler. More...
u32 | RequestedBytes
| RequestedBytes for transfer. More...
u32 | BytesTxed
| Actual Bytes transferred. More...
u8 * | BufferPtr
| Buffer location. More...
u32 | Interval
| Data transfer service interval. More...

## Detailed Description

The following data structure represents IN endpoint.

## Field Documentation

u8* XUsbPs_EpIn::BufferPtr

Buffer location.

u32 XUsbPs_EpIn::BytesTxed

Actual Bytes transferred.

XUsbPs_dQH* XUsbPs_EpIn::dQH

Pointer to the Queue Head structure of the endpoint.

XUsbPs_dTD* XUsbPs_EpIn::dTDHead

Buffer to the next available descriptor in the list.

Referenced by XUsbPs_ReconfigureEp().

XUsbPs_dTD* XUsbPs_EpIn::dTDs

List of pointers to the Transfer Descriptors of the endpoint.

Referenced by XUsbPs_ReconfigureEp().

XUsbPs_dTD* XUsbPs_EpIn::dTDTail

Buffer to the last unsent descriptor in the list.

Referenced by XUsbPs_ReconfigureEp().

XUsbPs_EpIsoHandlerFunc XUsbPs_EpIn::HandlerIsoFunc

Handler function for this endpoint.

Referenced by XUsbPs_EpSetIsoHandler().

void* XUsbPs_EpIn::HandlerRef

User data reference for the handler.

Referenced by XUsbPs_EpSetHandler(), and XUsbPs_EpSetIsoHandler().

u32 XUsbPs_EpIn::Interval

Data transfer service interval.

u32 XUsbPs_EpIn::RequestedBytes

RequestedBytes for transfer.